 #include <stdio.h>

int main()
{
  int broj = 0;
  int j,d,s;
  
  scanf("%d",&broj);
  
  if(broj < 0 || broj < 100 || broj > 999)
  {
    
    
    printf("-1");
    return 0;
  }
  
  s = broj / 100;
  d = (broj / 10) % 10;
  j = broj % 10;
  
  broj = 0;
  
  if(s <= d && s <= j) 
  {
    broj = broj + 100 * s;
    if(d <= j) broj = broj + 10 * d + j;
    else broj = broj + 10 * j + d;
    
    printf("%d",broj);
    return 0;
    
  }
		
  if(j <= d && j <= s) 
  {
    broj = broj + 100 * j;
    if(s <= d) broj = broj + 10 * s + d;
    else broj = broj + 10 * d + s;
    
    printf("%d",broj);
    return 0;
  }
  
  if(d <= s && d <= j) 
  {
    broj = broj + 100 * d;
    if(s <= j) broj = broj + 10 * s + j;
    else broj = broj + 10 * j + s;
    
    printf("%d",broj);
    return 0;
  }
  
  printf("-1");
  
  return 0;
}
